| Classes - Annotated - Tree - Functions - Home - Structure

# QHGroupBox Class Reference

The QHGroupBox widget organizes widgets in a group with one horizontal row. More...

`#include <qhgroupbox.h>`

Inherits QGroupBox.

List of all member functions.

## Public Members

- QHGroupBox ( QWidget * parent=0, const char * name=0 )
- QHGroupBox ( const QString & title, QWidget * parent=0, const char * name=0 )
- ~QHGroupBox ()

## Detailed Description

The QHGroupBox widget organizes widgets in a group with one horizontal row.

QHGroupBox is a convenience class that offers a thin layer on top of QGroupBox. Think of it as a QHBox that offers a frame with a title.

## Member Function Documentation

### QHGroupBox::QHGroupBox ( QWidget * parent=0, const char * name=0 )

Constructs a horizontal group box with no title.

The parent and name arguments are passed to the QWidget constructor.

### QHGroupBox::QHGroupBox ( const QString & title, QWidget * parent=0, const char * name=0 )

Constructs a horizontal group box with a title.

The parent and name arguments are passed to the QWidget constructor.

### QHGroupBox::~QHGroupBox ()

Destructs the horizontal group box, deleting its child widgets.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.